/*
    Servo test
    
    Hardware: Connect a servo to pin 10

    Notes: to get the exact number for CENTER ( in my servo was 84 )
    
    a) Remove the first PAUSE_2;
    b) Type FOREVER;
    c) Starting with 90, try different numbers until the servo is totally stopped
      
    d) Then, rechange FOREVER; with PAUSE_2;
*/
#define FOREVER  for(;;)
#define PAUSE_2    delay(2000)
 
#define SERVO_PIN         10                
 
#define CENTER            84      //The position that gets stopped. It should be 90   

#define V_TEST            50      // Simple speed to test the servo

#include <Servo.h> 
Servo myservo;  

void setup() 
{ 
  myservo.attach(SERVO_PIN);  // attaches the servo on pin 9 to the servo object 
} 


void loop() 
{ 
  // Go neutral position
  myservo.write(CENTER);
  PAUSE_2;
  
  //Move one direction
  myservo.write(CENTER - V_ACT);
  PAUSE_2

  // Go neutral position
  myservo.write(CENTER);
  PAUSE_2

  //Move opposite direction
  myservo.write(CENTER + V_ACT);
  PAUSE_2
} 
